<?php namespace App\Http\Requests;

use App\Http\Requests\Request;

class EditProfileRequest extends Request {

	/**
	 * Determine if the user is authorized to make this request.
	 *
	 * @return bool
	 */
	public function authorize()
	{
		return true;
	}

	/**
	 * Get the validation rules that apply to the request.
	 *
	 * @return array
	 */
	public function rules()
	{
        return [
            'cin'	=>  'min:8' ,
            'date_birth' => 'date',
            'date_recrutment' => 'date',
            'date_resignation' => 'date',
            'email'  => 'email',
            'mobile' => 'regex:/^(\+\d{1,3}[- ]?)?\d{8}$/'
        ];
	}

}
